#-*- coding: utf-8-*-

"""

easygconf provids an easy, pythonic way to access `GConf <http://projects.gnome.org/gconf/>`__ through a dict-like interface.

Example
-------
::

    from easygconf import GConfDict
    import gtk


    key = 'test'
    gc=GConfDict('/apps/easygconftest')

    print "%s is %s"%(key, gc[key])
    gc[key] = 'foo'
    print "Now %s is %s"%(key, gc[key])


    def callback (key, value, gconfdict, id, args):
	print "%s changed to %s"%(key, value)

    gc.add_listener('test', callback)
    try:
	gtk.main()
    except KeyboardInterrupt:
	pass
    gc.unset('test')

"""

##  easygconf - a dict-like API for GConf
##               <http://www.florian-diesch.de/software/easygconf/>
##  Copyright (C) 2008, 2009 Florian Diesch <devel@florian-diesch.de>
##  
##  This program is free software; you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation; either version 2 of the License, or
##  (at your option) any later version.
##  
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##  
##  You should have received a copy of the GNU General Public License along
##  with this program; if not, write to the Free Software Foundation, Inc.,
##  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
##

from gconfdict import GConfDict


VERSION = "0.03"



