from setuptools import setup, find_packages

setup(
    name = "easygconf",
    version = "0.03",
    packages = ['easygconf'],
    data_files=['COPYING', 'README'],
    
    # metadata for upload to PyPI
    author = "Florian Diesch",
    author_email = "devel@florian-diesch.de",
    description = "dict-like API for GConf",
    long_description = \
    """

easygconf provids an easy, pythonic way to access `GConf <http://projects.gnome.org/gconf/>`__ through a dict-like interface.

Example
-------
::

    from easygconf import GConfDict
    import gtk


    key = 'test'
    gc=GConfDict('/apps/easygconftest')

    print "%s is %s"%(key, gc[key])
    gc[key] = 'foo'
    print "Now %s is %s"%(key, gc[key])


    def callback (key, value, gconfdict, id, args):
	print "%s changed to %s"%(key, value)

    gc.add_listener('test', callback)
    try:
	gtk.main()
    except KeyboardInterrupt:
	pass
    gc.unset('test')

    """,
    license = "GPL",
    keywords = "gconf gnome",
    url = "http://www.florian-diesch.de/software/easygconf/",
    classifiers=[
     'Development Status :: 3 - Alpha',
     'Environment :: X11 Applications :: Gnome',
     'Intended Audience :: Developers',
     'License :: OSI Approved :: GNU General Public License (GPL)',
     'Natural Language :: English',
     'Natural Language :: German',
     'Operating System :: Unix',
     'Programming Language :: Python',
     'Topic :: Desktop Environment :: Gnome',
     'Topic :: Software Development :: Libraries :: Python Modules',
     'Topic :: Utilities'
    ]
    )
