from easygconf import GConfDict
import gconf


def test_from_python():
    gc = GConfDict()
    
    gv = gc.from_python('foo')
    assert gv.type == gconf.VALUE_STRING
    assert gv.get_string() == 'foo'

    gv = gc.from_python(42)
    assert gv.type == gconf.VALUE_INT
    assert gv.get_int() == 42

    gv = gc.from_python(6.66)
    assert gv.type == gconf.VALUE_FLOAT
    assert gv.get_float() == 6.66

    gv = gc.from_python(('foo', 'bar'))
    assert gv.type == gconf.VALUE_PAIR
    assert gv.get_car(), gv.get_cdr() == ('foo' 'bar')
    
    gv = gc.from_python(('foo', 'bar', 'baz'))
    assert gv.type == gconf.VALUE_LIST
    assert gv.get_list_type() == gconf.VALUE_STRING

    gv = gc.from_python([1,2,3,4])
    assert gv.type == gconf.VALUE_LIST
    assert gv.get_list_type() == gconf.VALUE_INT

