from easygconf import GConfDict

def test_dir():
    gc0=GConfDict()
    gc1=GConfDict('/')
    gc2=GConfDict('/desktop')
    gc3=GConfDict('/desktop/gnome')
    gc4=GConfDict('/desktop/gnome/session')

    assert (gc0['desktop/gnome/session/idle_delay'] ==
            gc1['desktop/gnome/session/idle_delay'] ==
            gc2['gnome/session/idle_delay'] ==
            gc3['session/idle_delay'] ==
            gc4['idle_delay']
            )
            
    assert (gc0['/desktop/gnome/session/default_session'] ==
            gc1['/desktop/gnome/session/default_session'] ==
            gc2['/desktop/gnome/session/default_session'] ==
            gc3['/desktop/gnome/session/default_session'] ==
            gc4['/desktop/gnome/session/default_session']
        )


def test_unset():
    gc1=GConfDict('/apps/easygconftest')
    gc2=GConfDict()

    gc1['test']='foo'
    #gc1['bla'] = 1234
    gc1.unset('bla')
    assert gc1['test'] == gc2['/apps/easygconftest/test']
    assert gc1['test'] is not None
    assert 'test' in gc1
    assert '/apps/easygconftest/test' not in gc2
    
    gc2.unset('/apps/easygconftest/test')
    assert gc1['test'] == gc2['/apps/easygconftest/test']
    assert gc1['test'] is None
    assert 'test' in gc1
    assert '/apps/easygconftest/test' not in gc2
    gc1.sync()


    
def test_dirs():
    gc1=GConfDict('/apps/easygconftest')
    gc2=GConfDict('/apps/easygconftest')

    gc1['foo1/a'] = 'a'
    gc1['foo2/b'] = 'b'

    assert set(gc1.dirs()) == set(('/apps/easygconftest/foo1',
                                 '/apps/easygconftest/foo2'))
    
    
    
